<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Homework</title>
</head>

<body>
    <!--
        Создайте счетчик секунд, который начинает отчет с 1 и заканчивается на 30,
        также добавьте кнопки который останавливают отчет, и запускают его заново и добавьте кнопку обнуляющую отчет.
        Также попробуйте изменить код так чтобы отчет начиналься с 30 и заканчивалься на 1.

       + бонус: Сделать так что бы на каждый тик (1с/2c) менялся цвет фона. Можно на основе генератора случайного цвета с предудущих уроков.
       + бонус: Сделать визуализацию стрелки которая идет по кругу
            document.getElementById("myDIV").style.transform = "rotate(7deg)";

       + бонус: Сделать кнопки которые выбирают режим в котором идет отсчет - обычный от 0 до 30 или реверсивный от 30 до 0

       
      -->

    <button id="play">play</button>
    <button id="stop">Stop</button>
    <button id="reapet">Reapet</button>
    <button id="reverse">Reverse</button>

    <div id="rez">

    </div>

    <script>
        var play = document.getElementById('play');
        var stop = document.getElementById('stop');
        var reapet = document.getElementById('reapet');
        var reverse = document.getElementById('reverse');

        var counter = 0;
        var timer;
        var min = 0;
        var max = 30;
        var status = 'stop';
        let reverseStatus;
        function timerUp() {
            counter++;
        }
        function timerDown() {
            counter--;
        }

        let new1 = () => {
            timer = setInterval(function () {
                if (!reverseStatus) {
                    timerUp();
                    if (counter >= max) {
                        counter = min;
                    }
                } else {
                    timerDown()
                    if (counter <= min) {
                        counter = max;
                    }
                }
                document.getElementById("rez").innerHTML = counter

            }, 1000);
        }

        stop.addEventListener('click', function () {
            if (status === 'play') {
                clearInterval(timer);
                status = 'stop';
            }
        })

        play.addEventListener('click', function () {
            if (status === 'stop') {
                new1();
                status = 'play';
            }
        })

        reapet.addEventListener('click', function () {
            counter = min;
            if (status === 'stop') {
                !reverseStatus ? document.getElementById("rez").innerHTML = min : document.getElementById("rez").innerHTML = max;
            }
        })
        reverse.addEventListener('click', function () {
            !reverseStatus ? reverseStatus = true : reverseStatus = undefined;
        })



    </script>
</body>

</html>